# Move-RASAdminToGroup.md

## NAME

Move-RASAdminToGroup

## SYNOPSIS

Moves admin account to a user group.

## SYNTAX

**Move-RASAdminToGroup** \[[Id](#id-string)] *(uint)* \[[GroupId](#groupid-string)] *(uint)* \[[KeepGroupPermissions](#keepgrouppermissions-string) *(SwitchParameter)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Moves admin account to a user group.

In case that no user group is provided, admin account is unassigned from any user group.

## PARAMETERS

## Id (uint)

Account ID

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## GroupId (uint)

User Group ID

```
        Required?                    true

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## KeepGroupPermissions (SwitchParameter)

Specifies to keep the existing group permissions before moving.

```
        Required?                    false

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Move-RASAdminToGroup -Id 1 -GroupId 2 -KeepGroupPermissions

Moves admin account with Id 1 to user group with Id 2 while keeping the group permissions.\
\*\*---------- EXAMPLE 2 ----------

Move-RASAdminToGroup -Id 1 -GroupId 2

Moves admin account with Id 1 to user group with Id 2.\
\*\*---------- EXAMPLE 3 ----------

Move-RASAdminToGroup -Id 1 -GroupId 0

Unassigns the admin account with Id 1 from any user group.

## RELATED LINKS

* [New-RASAdminAccount](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasadminaccount.md)
* [Get-RASAdminAccount](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasadminaccount.md)
* [Set-RASAdminAccount](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasadminaccount.md)
* [Remove-RASAdminAccount](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasadminaccount.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/move-rasadmintogroup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
